CREATE TABLE "Contact" ("cont_Id" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL , "cont_Name" CHAR NOT NULL , "cont_Email" CHAR, "cont_Phone" CHAR, "cont_Comments" TEXT, "cont_CreateTime"  DATETIME NOT NULL, "cont_UpdateTime"  DATETIME NOT NULL );
CREATE TABLE "Product" ("prod_Id" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL , "prod_Name" CHAR NOT NULL , "prod_Comments" TEXT, "prod_CreateTime"  DATETIME NOT NULL, "prod_UpdateTime"  DATETIME NOT NULL );
CREATE TABLE "Ticket" ("tick_Id" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL , "tick_Contact" INTEGER NOT NULL , "tick_Product" INTEGER , "tick_ShortDescription" CHAR NOT NULL , "tick_LongDescription" TEXT, "tick_Comments" TEXT, "tick_Status" INTEGER NOT NULL , "tick_CreateTime"  DATETIME NOT NULL, "tick_UpdateTime"  DATETIME NOT NULL );
CREATE TABLE "TicketLog" ("tlog_Id" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL , "tlog_Ticket" INTEGER NOT NULL , "tlog_Text" TEXT NOT NULL , "tlog_Comments" TEXT , "tlog_OldStatus" INTEGER NOT NULL , "tlog_NewStatus" INTEGER NOT NULL , "tlog_CreateTime" DATETIME NOT NULL , "tlog_UpdateTime" DATETIME NOT NULL);
CREATE UNIQUE INDEX "cont_Id" ON "Contact" ("cont_Id" ASC);
CREATE INDEX "cont_Name" ON "Contact" ("cont_Name" ASC);
CREATE UNIQUE INDEX "prod_Id" ON "Product" ("prod_Id" ASC);
CREATE INDEX "prod_Name" ON "Product" ("prod_Name" ASC);
CREATE UNIQUE INDEX "tick_Id" ON "Ticket" ("tick_Id" ASC);
CREATE INDEX "tick_Contact" ON "Ticket" ("tick_Contact" ASC);
CREATE INDEX "tick_Contact_CreateTime" ON "Ticket" ("tick_Contact" ASC, "tick_CreateTime" ASC);
CREATE INDEX "tick_Contact_UpdateTime" ON "Ticket" ("tick_Contact" ASC, "tick_UpdateTime" ASC);
CREATE INDEX "tick_Contact_Status_CreateTime" ON "Ticket" ("tick_Contact" ASC, "tick_Status" ASC, "tick_CreateTime" ASC);
CREATE INDEX "tick_Contact_Status_UpdateTime" ON "Ticket" ("tick_Contact" ASC, "tick_Status" ASC, "tick_UpdateTime" ASC);
CREATE INDEX "tick_Product" ON "Ticket" ("tick_Product" ASC);
CREATE INDEX "tick_Product_Status_CreateTime" ON "Ticket" ("tick_Product" ASC, "tick_Status" ASC, "tick_CreateTime" ASC);
CREATE INDEX "tick_Product_Status_UpdateTime" ON "Ticket" ("tick_Product" ASC, "tick_Status" ASC, "tick_UpdateTime" ASC);
CREATE INDEX "tick_Status" ON "Ticket" ("tick_Status" ASC);
CREATE INDEX "tick_Status_CreateTime" ON "Ticket" ("tick_Status" ASC, "tick_CreateTime" ASC);
CREATE INDEX "tick_Status_UpdateTime" ON "Ticket" ("tick_Status" ASC, "tick_UpdateTime" ASC);
CREATE UNIQUE INDEX "tlog_Id" ON "TicketLog" ("tlog_Id" ASC);
CREATE INDEX "tlog_Ticket_CreateTime" ON "TicketLog" ("tlog_Ticket" ASC, "tlog_CreateTime" ASC);
